Subject: [IPFIX] Interpretation of sequence number handling

From: Rick Hofstede <[email-masked]>
Date: Fri, 19 Jun 2015 10:37:02 +0200

Dear list,

RFC 7011 defines the following regarding sequence numbers in Message headers (Section 3.1 — Message Header Format): Incremental sequence counter modulo 2^32 of all IPFIX Data Records sent in the current stream from the current Observation Domain by the Exporting Process.

This can however be interpreted in two ways:

(1) Incremental sequence counter modulo 2^32 of all IPFIX Data Records sent in the current stream from the current Observation Domain by the Exporting Process *up to* this Message.
(2) Incremental sequence counter modulo 2^32 of all IPFIX Data Records sent in the current stream from the current Observation Domain by the Exporting Process *up to and including* this Message.

It seems that only Section 10.3.2 — Reliability explains which of the two interpretations is right: In the case of UDP, the IPFIX Sequence Number contains the total number of IPFIX Data Records sent for the Transport Session *prior* to the receipt of this IPFIX Message, modulo 2^32.

In my opinion, it would be good to clarify the use of sequence numbers in Message headers already in the definition of sequence numbers in RFC 7011, namely in Section 3.1.

Best regards,

—
Rick Hofstede

---

From: Brian Trammell <[email-masked]>
Date: Fri, 19 Jun 2015 10:39:10 +0200

hi Rick,

Yep, this is a good point. Could you file an editorial erratum?

Thanks, cheers,

Brian

> On 19 Jun 2015, at 10:37, Rick Hofstede <[email-masked]> wrote:
> 
> Dear list,
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix